""" Module to acess platform specific data """

class Platform():
    """ Handling of platform specific options """

    @staticmethod
    def is_sos_enabled():
        """ Indicates if the SoS feature is required or not """
        try:
            with open('/proc/device-tree/gnss0/save-on-shutdown', 'r') as sos_file:
                enabled = sos_file.read()[:-1]  # Null-terminated string..
                return enabled == "enabled"
        except FileNotFoundError:
            return False
